Get Quote
curl --request GET \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/quotes/{quoteId} \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/external/companies/{companyId}/quotes/{quoteId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/external/companies/{companyId}/quotes/{quoteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "Q00000001-01",
"submissionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"policyCurrency": "USD",
"grandTotal": 2500,
"applicant": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com"
},
"data": {
"currentStepKey": "<string>",
"hasPassedDetailsStep": true,
"hasReachedReviewStep": true,
"policyInfo": {
"number": "<string>",
"type": "<string>",
"startsAtDate": "2023-12-25",
"endsAtDate": "2023-12-25",
"coverageTimezone": "<string>",
"broker": {},
"description": "<string>",
"currency": "USD",
"ratingData": {},
"ratingInfo": {}
},
"noRatingPremium": 123,
"policyAggregateLimits": {},
"policyInsureds": [
{
"policyInsuredId": 123,
"coveragePeriods": [
{
"id": "<string>",
"joinDate": "2023-12-25",
"terminationDate": "2023-12-25",
"initialTerminationDate": "2023-12-25",
"policyInsuredId": 123
}
],
"isNewInsured": true,
"isAddedInFlow": true,
"isEditedInFlow": true,
"coveragePeriodModification": true
}
],
"coverages": [
{}
],
"useDefaultCoverages": true,
"editingCustomAdjustments": [
{
"id": "<string>",
"description": "<string>",
"amount": "<string>",
"insuredId": "<string>",
"sectionRank": 123
}
],
"billConfig": {},
"customBillItems": [
{}
],
"previousCustomBillItems": [
{}
],
"files": [
{
"id": "<string>",
"filename": "<string>"
}
],
"displayUploadFilesStep": true,
"selectedForms": {},
"bindingSettings": {},
"recipients": [
{}
],
"enteredEffectiveDate": "2023-12-25",
"importPolicyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"bindErrors": [
{}
],
"previewData": {
"premium": 123,
"taxes": 123,
"fees": 123,
"total": 123,
"billItems": [
{}
],
"insuredRatings": [
{}
]
},
"ratingEngineRevisionId": "<string>",
"ratingEngineVersionShortName": "<string>",
"billingEmail": "jsmith@example.com"
}
Quotes
Get Quote
Returns a single quote with all details.
Required permission: company.quote:read
GET
/
api
/
external
/
companies
/
{companyId}
/
quotes
/
{quoteId}
Get Quote
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Quote identifier
Response
Quote details
Example:
"Q00000001-01"
Available options:
in_progress, complete, sent, accepted, bound, cancelled, archived, applied_to_policy Example:
"USD"
Example:
2500
Available options:
quote, endorsement, cancellation, reinstatement, renewal, forms Show child attributes
Show child attributes
Full quote data structure
Show child attributes
Show child attributes
Calculated values for displaying quote
Show child attributes
Show child attributes
Was this page helpful?
⌘I
